Skip to main content
POST
/
tasks
/
nllb_translate
Nllb Translate
curl --request POST \
  --url https://api.sunbird.ai/tasks/nllb_translate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>"
}
'
{
  "delayTime": 123,
  "executionTime": 123,
  "id": "<string>",
  "output": {
    "text": "<string>",
    "translated_text": "<string>",
    "source_language": "<string>",
    "target_language": "<string>",
    "Error": "<string>"
  },
  "status": "<string>",
  "workerId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://sunbirdai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
source_language
enum<string>
required
Available options:
ach,
teo,
eng,
lug,
lgg,
nyn
target_language
enum<string>
required
Available options:
ach,
teo,
eng,
lug,
lgg,
nyn
text
string
required
Minimum string length: 1

Response

Successful Response

delayTime
integer | null
executionTime
integer | null
id
string | null
output
WorkerTranslationOutput · object
status
string | null
workerId
string | null